Important Notice

Important Notice: Upcoming Sunset of TLS 1.0 / 1.1 Systems and Deprecated Cipher Suites.

To provide the most secure environment for our users, Our team will follow established security best practices to update our server profiles to no longer interact with Transport Layer Security (TLS) 1.0 or 1.1 for all inbound traffic. TLS protocols protect communications between two parties communicating over a data network through encryption and message authentication. In addition, the deprecated 3DES, RSA and 128-bit cipher suites will be disabled.

Because of  upcoming changes, users with outdated browsers, desktop operating systems and/or mobile operating systems will need to use an alternate method to connect to FSB’s Internet and Mobile banking services.

When? We are targeting Monday, February 25, 2019 from 6 p.m. – 11:59 p.m. PT.

Details on Impacted Systems and Devices:

Mobile Device Operating Systems

  • Android devices version 4.4.4 and below.
  • Apple iOS devices using Safari versions 5 and below.
  • Windows Phone using Internet Explorer Mobile versions 10 and below.

Desktop Operating Systems

  • Windows XP, Windows Vista, Windows 7 with Microsoft Internet Explorer versions 10 or below.
  • Apple OS X using Safari Versions 8 or below.

End User Actions Required:

  • Microsoft Operating Systems: Computers running Windows XP  or Windows Vista operating systems will need to be replaced or upgraded to Windows 10 operating system, Computers running Windows 7 operating systems will need to install Internet Explorer 11 or latest version of Mozilla Firefox or Google Chrome.
  • Apple Operating Systems: Apple operating systems using Safari Version 8 and below will need to be upgraded to the latest version.
  • Apple and Microsoft Web Browsers: All outdated web browsers will need to be upgraded to the latest version.
  • Android Tablets or Phones: Devices running any Android operating system released before December 2014 will need to be replaced. Or the users will need to access Online Banking through another compatible device.

          For questions Contact Us